# vim: set ts=4 sw=4 et:

Name:           libnice
Version:        0.1.0
%define soname 10
Release:        2.15
License:        LGPL v2.1 or later ; MPL ..
Group:          Productivity/Networking/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1030
BuildRequires:  gstreamer-0_10-devel
%else
BuildRequires:  gstreamer010-devel
%endif
BuildRequires:  glib2-devel gtk-doc openssl-devel
BuildRequires:  libgupnp-igd-devel
Url:            http://nice.freedesktop.org/
# http://nice.freedesktop.org/releases/%{name}-%{version}.tar.gz
Source:         libnice-%{version}.tar.bz2
Summary:        Interactive Connectivity Establishment implementation
Requires:       libnice%{soname} = %{version}-%{release}
%if 0%{?suse_version} >= 1030
BuildRequires:  licenses
Requires:       licenses
%endif

%description
libnice is an implementation of the IETF's draft Interactive
Connectivity Establishment standard (ICE).

%package -n libnice%{soname}
License:        LGPL v2.1 or later
Group:          System/Libraries
Summary:        Interactive Connectivity Establishment implementation
Recommends:     gstreamer-0_10-libnice

%description -n libnice%{soname}
libnice is an implementation of the IETF's draft Interactive
Connectivity Establishment standard (ICE).

%package -n gstreamer-0_10-libnice
License:        LGPL v2.1 or later ; MPL ..
Group:          System/Libraries
Summary:        Interactive Connectivity Establishment implementation - GStreamer plug-in
Requires:       libnice%{soname} = %{version}-%{release}

%description -n gstreamer-0_10-libnice
libnice is an implementation of the IETF's draft Interactive
Connectivity Establishment standard (ICE).

%package devel
License:        LGPL v2.1 or later
Group:          Development/Libraries/C and C++
Summary:        Interactive Connectivity Establishment implementation - development files
Requires:       libnice%{soname} = %{version}-%{release}
Requires:       glib2-devel
Provides:       libnice-doc = %{version}-%{release}
Obsoletes:      libnice-doc < %{version}
Provides:       nice-devel = %{version}-%{release}
Obsoletes:      nice-devel < %{version}

%description devel
libnice is an implementation of the IETF's draft Interactive
Connectivity Establishment standard (ICE).

%package doc
License:        GPL v2 or later
Summary:        Nice is an implementation of the IETF standard
Group:          Development/Libraries/C and C++
Requires:       libnice%{soname} = %{version}-%{release}

%description doc
Nice is an implementation of the IETF's draft Interactive Connectivity
Establishment standard (ICE). It provides GLib-based library, libnice.
ICE is useful for applications that want to establish peer-to-peer UDP
data streams. It automates the process of traversing NATs and provides
security against some attacks.
Existing standards that use ICE include the Session Initiation Protocol
(SIP) and Jingle, XMPP extension for audio/video calls.
Nice includes integration with GStreamer. It is used by Farsight for RTP
transport.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CPPFLAGS="$CFLAGS"
%configure \
     --disable-static \
     --enable-gtk-doc \
     --enable-plugin-docs

%__make %{?jobs:-j%{jobs}} V=1

%install
%makeinstall
%__rm -f %{buildroot}/%{_libdir}/*.la
%__rm -f %{buildroot}/%{_libdir}/gstreamer-0.10/*.la

for f in COPYING*; do
    h=/usr/share/doc/licenses/md5/$(md5sum "$f"|cut -f1 -d" ")
    test -e "$h" && %__ln_s -f "$h" .
done

%post   -n libnice%{soname} -p /sbin/ldconfig

%postun -n libnice%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING*
%{_bindir}/stunbdc
%{_bindir}/stund

%files -n libnice%{soname}
%defattr(-,root,root,-)
%doc AUTHORS README COPYING*
%{_libdir}/libnice.so.%{soname}
%{_libdir}/libnice.so.%{soname}.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/nice.pc
%{_libdir}/libnice.so
%{_includedir}/nice
%{_includedir}/stun

%files -n gstreamer-0_10-libnice
%defattr(-,root,root,-)
%{_libdir}/gstreamer-0.10/libgstnice.so

%files doc
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%{_datadir}/gtk-doc/html/libnice/

%changelog
* Sat Feb 26 2011 pascal.bleser@opensuse.org
- soname changed from 0 to 10
- update to 0.1.0:
  * added nice_candidate_copy to the public API
  * make stun_timer timeouts configurable (Break API and ABI)
  * add MS-TURN support for MSOC
  * added and completed TURN RFC 5766 support
  * add a nice_agent_set_port_range API to force a component to use a specific
    port
  * fix various bugs and memory leaks
- changes from 0.0.13:
  * add support for IPv6
  * fix crc32 function conflict with libz.so
  * various bug fixing and code cleaning
  * validate the remote candidate address before adding it
- changes from 0.0.12:
  * update compatibility to RFC5245
  * fix a memory corruption bug
  * fix a possible buffer overflow with socks5 proxies
- changes from 0.0.11:
  * handle EAGAIN for UDP sockets
  * fix coverity warnings
  * fix a bug with TURN and Channel Bindings
  * add a reliable transport mode using libjingle's PseudoTcp implementation
* Thu Feb 18 2010 pascal@links2linux.de
- update to 0.0.10:
  * fix some memory leaks with the gstreamer elements
  * fix username/foundation for google TURN candidates
  * fix the sending of hundreds of connectivity checks at once the
    stream is connected
  * fix reprocessing of already processed early incoming checks
    when in dribble-mode
  * fix a rare crash with failing relay candidates allocations
  * add a stun_agent_set_software API
  * add a nice_agent_set_software API
* Mon Sep 21 2009 andrea@links2linux.de
- new upsteam version 0.0.9
* Thu Apr  9 2009 andrea@links2linux.de
- new upsteam version 0.0.6
* Sun Mar 22 2009 andrea@links2linux.de
- new upsteam version 0.0.5
* Tue Dec 23 2008 andrea@links2linux.de
- new upstream version 0.0.4 stable
* Fri Dec  5 2008 andrea@links2linux.de
- new upstream version 0.0.3 stable
* Sun Nov 16 2008 andrea@links2linux.de
- new upstream version 0.0.2 stable
* Sun Nov  9 2008 andrea@links2linux.de
- first spec making
